Get Image Metadata
POST
https://picnie.com/api/v1/get-image-metadataRetrieve metadata from a JPEG image using its URL.
Headers
| Name | Type | Description |
|---|---|---|
Authorization* | string | Pass api key in the authorization field Example: |
Body Parameters
| Name | Type | Description |
|---|---|---|
project_id* | string | The ID of the project. Example: |
image_url* | string | URL of the JPEG image to retrieve metadata from. Example: |
Notes
⚠️ Authentication required
curl -X POST "https://picnie.com/api/v1/get-image-metadata"
-H "Authorization: YOUR_API_KEY"
-H "Content-Type: application/json"
-d '{
"image_url": "https://picnie.s3.amazonaws.com/user_10/project_1867/input_7026_250628104733_meta.jpg",
"project_id": "1867"
}'Responses
200200 OK
{
"error": false,
"message": "Success",
"metadata": {
"width": 2944,
"height": 2208,
"mime_type": "image/jpeg",
"bits": 8,
"channels": 3,
"exif": {
"FILE": {
"FileDateTime": 0,
"FileSize": 597551,
"FileType": 2,
"MimeType": "image/jpeg",
"SectionsFound": "ANY_TAG, IFD0, EXIF, GPS"
},
"COMPUTED": {
"html": "width=\\"2944\\" height=\\"2208\\"",
"Height": 2208,
"Width": 2944,
"IsColor": 1,
"ByteOrderMotorola": 0,
"ApertureFNumber": "f/2.2",
"UserComment": "Incredible view from the lake!",
"UserCommentEncoding": "ASCII",
"Copyright": "All rights at Picnie"
},
"IFD0": {
"ImageWidth": 2944,
"ImageLength": 2208,
"ImageDescription": "Trip to Silliseth",
"Make": "Picnie API",
"Model": "Picnie",
"Orientation": 6,
"XResolution": "72/1",
"YResolution": "72/1",
"ResolutionUnit": 2,
"Software": "Picnie",
"DateTime": "2021:01:23 18:05:43",
"Artist": "Pradeep Soni",
"YCbCrPositioning": 1,
"Copyright": "All rights at Picnie",
"Exif_IFD_Pointer": 348,
"GPS_IFD_Pointer": 786,
"DateTimeOriginal": "2025:06:27 10:30:00",
"UserComment": "Incredible view from the lake!"
},
"EXIF": {
"ExposureTime": "1/25",
"FNumber": "11/5",
"ExposureProgram": 2,
"ISOSpeedRatings": 320,
"ExifVersion": "0220",
"DateTimeOriginal": "2021:01:23 18:05:43",
"DateTimeDigitized": "2021:01:23 18:05:43",
"UndefinedTag:0x9010": "+05:30",
"UndefinedTag:0x9011": "+05:30",
"ShutterSpeedValue": "1/25",
"ApertureValue": "227/100",
"ExposureBiasValue": "0/1",
"MaxApertureValue": "227/100",
"MeteringMode": 2,
"Flash": 0,
"FocalLength": "15/4",
"ColorSpace": 1,
"ExifImageWidth": 2944,
"ExifImageLength": 2208,
"ExposureMode": 0,
"WhiteBalance": 0,
"DigitalZoomRatio": "123/100",
"FocalLengthIn35mmFilm": 31,
"SceneCaptureType": 0,
"ImageUniqueID": "C48QSMD00MM"
},
"GPS": {
"GPSLatitudeRef": "N",
"GPSLatitude": [
"26/1",
"26/1",
"45715199/1000000"
],
"GPSLongitudeRef": "E",
"GPSLongitude": [
"74/1",
"32/1",
"29600879/1000000"
]
}
},
"file_size_bytes": 597551,
"file_size_kb": 597.55,
"extension": "jpg"
}
}